ALTER TABLE archive ADD COLUMN ar_content_type VARCHAR( 255 ) NOT NULL DEFAULT 'application/x.deki-text';
ALTER TABLE archive ADD COLUMN ar_language VARCHAR( 10 ) NOT NULL default '';
ALTER TABLE archive ADD COLUMN ar_display_name VARCHAR( 255 ) DEFAULT NULL;
ALTER TABLE archive ADD COLUMN ar_transaction_id int(4) unsigned  NOT NULL default '0';
ALTER TABLE archive ADD KEY ar_transaction_id (ar_transaction_id);
CREATE TABLE bans (ban_id int(4) unsigned NOT NULL auto_increment,ban_by_user_id int(4) unsigned NOT NULL,ban_expires datetime default NULL,ban_reason text,ban_revokemask bigint(8) unsigned NOT NULL,ban_last_edit datetime default NULL, PRIMARY KEY  (ban_id)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
CREATE TABLE banips (banip_id int(10) unsigned NOT NULL auto_increment,banip_ipaddress varchar(15) default NULL,banip_ban_id int(4) unsigned NOT NULL,PRIMARY KEY  (banip_id),KEY banip_ipaddress (banip_ipaddress)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;  
CREATE TABLE banusers (banuser_id int(4) unsigned NOT NULL auto_increment,banuser_user_id int(4) unsigned NOT NULL,banuser_ban_id int(4) unsigned NOT NULL,UNIQUE KEY banuser_id (banuser_id), KEY banuser_user_id (banuser_user_id)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
DROP TABLE logging;
ALTER TABLE old ADD COLUMN old_language VARCHAR( 10 ) NOT NULL default '';
ALTER TABLE old ADD COLUMN old_display_name VARCHAR(255) DEFAULT NULL;
ALTER TABLE pages ADD COLUMN page_language VARCHAR( 10 ) NOT NULL default '';
ALTER TABLE pages ADD COLUMN page_display_name VARCHAR(255) DEFAULT NULL;
ALTER TABLE recentchanges ADD COLUMN rc_transaction_id int(10) unsigned NOT NULL default '0';
ALTER TABLE recentchanges ADD KEY rc_transaction_id (rc_transaction_id);
CREATE TABLE transactions (t_id int(4) NOT NULL auto_increment,t_timestamp datetime NOT NULL,t_user_id int(4) NOT NULL,t_page_id int(4) unsigned default NULL,t_title varchar(255) default NULL,t_namespace tinyint(2) default NULL,t_type tinyint(2) default NULL,t_reverted tinyint(1) NOT NULL default '0',t_revert_user_id int(4) unsigned default NULL,t_revert_timestamp datetime default NULL,t_revert_reason varchar(255) default NULL,PRIMARY KEY  (t_id),KEY t_timestamp (t_timestamp)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;