ALTER TABLE archive DROP COLUMN ar_flags;
ALTER TABLE archive ADD COLUMN ar_revision int(8) unsigned NOT NULL default '0';
ALTER TABLE old DROP COLUMN old_namespace;
ALTER TABLE old DROP COLUMN old_title;
ALTER TABLE old DROP COLUMN old_flags;
ALTER TABLE old DROP COLUMN old_display_name;
ALTER TABLE old DROP COLUMN inverse_timestamp;
ALTER TABLE old ADD COLUMN old_display_name VARCHAR(255) NOT NULL DEFAULT '';
ALTER TABLE old ADD COLUMN old_revision int(8) unsigned NOT NULL default '0';
ALTER TABLE old ADD COLUMN old_page_id int(8) unsigned NOT NULL default '0';
ALTER TABLE pages DROP COLUMN page_random;
ALTER TABLE pages DROP COLUMN page_inverse_timestamp;
ALTER TABLE pages DROP COLUMN page_display_name;
ALTER TABLE pages ADD COLUMN page_display_name VARCHAR(255) NOT NULL;
ALTER TABLE pages ADD COLUMN page_revision int(8) unsigned NOT NULL default '1';
ALTER TABLE pages ADD COLUMN page_etag varchar(32) NOT NULL default '';
ALTER TABLE pages DROP KEY page_random;
ALTER TABLE pages DROP KEY name_title_timestamp;
ALTER TABLE pages DROP KEY user_timestamp;
ALTER TABLE pages DROP KEY usertext_timestamp;
ALTER TABLE pages ADD KEY page_user_id (page_user_id);
CREATE TABLE query_result_popularity (sorted_terms_hash char(32) NOT NULL,type tinyint unsigned NOT NULL,type_id int(8) unsigned NOT NULL,selection_count int(8) unsigned,PRIMARY KEY(sorted_terms_hash,type,type_id)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
CREATE TABLE query_terms (query_term_id int(10) unsigned NOT NULL auto_increment primary key,query_term varchar(100) NOT NULL UNIQUE) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
CREATE TABLE query_term_map (query_term_id int(10) unsigned NOT NULL,query_id int(10) unsigned NOT NULL,UNIQUE KEY term_query (query_term_id, query_id)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE restrictions DROP COLUMN restriction_perm_flags;
ALTER TABLE restrictions ADD COLUMN restriction_perm_flags MEDIUMINT UNSIGNED NOT NULL;
ALTER TABLE tag_map ADD KEY tagmap_tag_id (tagmap_tag_id);